Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062824 - [RFE][tripleo]: Workload based windows images
Summary: [RFE][tripleo]: Workload based windows images
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/trip...
Whiteboard: upstream_milestone_none upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-08 05:07 UTC by RHOS Integration
Modified: 2016-04-05 20:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 16:52:24 UTC


Attachments (Terms of Use)

Description RHOS Integration 2014-02-08 05:07:24 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/tripleo/+spec/extensible-windows-images.

Description:

Background
    This blueprint proposes to extend the functionality of windows image builder [1]  for Workload/Role based Windows Disk Image generation.

Windows Disk Image Builder
   Once the basic tool [1] is in place, it will be extended to provide hooks where user can plugin custom scripts to automate tasks. Using windows unattended feature, these custom scripts will be able to execute specific command upon instance creation (like flavor match, enable RDP, user account creation etc.). 
   A typical custom script could be to integrate with cloudbase-init which will automate tasks when images are deployed as instances. Using DISM, there will be provision for enabling Windows roles like IIS, Hyper-V, AD etc. 
Feature proposed are but not limited to:-
-	Integration with Cloudbase-init 
-	Hyper-V overcloud support
-	Orchestration via Heat
-	Murano Integration
-	Convert user supplied images to Cloud Image.
-	ServiceMesh Integration

[1] https://blueprints.launchpad.net/diskimage-builder/+spec/build-windows-images

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.